update needed Rated 5 out of 5 stars

pls update for 3.6/7